from django.urls import path
from . import views
from django.contrib.auth import views as auth_views

app_name = 'frontend'
urlpatterns = [
    path('', views.index, name='index'),
    path('profiles/', views.profiles, name='profiles'),
    path('opportunities/', views.opportunities, name='opportunities'),
    path('leaderboard/', views.leaderboard, name='leaderboard'),
    path('login/', auth_views.LoginView.as_view(template_name='frontend/login.html'), name='login'),
    path('logout/', auth_views.LogoutView.as_view(), name='logout'),
    path('signup/', views.signup, name='signup'),
]
